summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoradmin (centauri.fritz.box) <puppet@mx.buetow.org>2014-03-22 12:17:10 +0100
committeradmin (centauri.fritz.box) <puppet@mx.buetow.org>2014-03-22 12:17:10 +0100
commitb4558f620a4e30731b01b6e0f60da869e3de5e1b (patch)
tree6e7712fd42af757f6a92d2875dd39fc557f6b93e
parentfa042cc8b0e5c7c4d69290aecae1034c6b2ca530 (diff)
fix git repo
-rwxr-xr-x[l---------]control75
1 files changed, 74 insertions, 1 deletions
diff --git a/control b/control
index 187e168..11c1a7e 120000..100755
--- a/control
+++ b/control
@@ -1 +1,74 @@
-bin/perldaemon \ No newline at end of file
+#!/usr/bin/env bash
+# PerlDaemon (c) 2010, 2011, Dipl.-Inform. (FH) Paul Buetow (http://perldaemon.buetow.org)
+
+declare -r ARG=$1
+declare -a LIBPATHS=(./lib ../lib /lib /usr/lib /usr/local/lib /opt/lib)
+
+for path in ${LIBPATHS[@]}; do
+ if [ -f $path/PerlDaemon/PerlDaemon.pl ]; then
+ LIBDIR=$path
+ break
+ fi
+done
+
+if [ -z "$LIBDIR" ]; then
+ echo No PerlDaemon module path found
+ exit 1
+fi
+
+start () {
+ echo Starting daemon now...
+ perl -I$LIBDIR $LIBDIR/PerlDaemon/PerlDaemon.pl config=./conf/perldaemon.conf $@
+}
+
+stop () {
+ if [ -f ./run/perldaemon.pid ]; then
+ echo Stopping daemon now...
+ kill $(cat ./run/perldaemon.pid);
+ else
+ echo "No pidfile found (not running?) "
+ fi
+}
+
+logrotate () {
+ echo Triggering a logrotate
+ kill -HUP $(cat ./run/perldaemon.pid)
+}
+
+keys () {
+ perl -I$LIBDIR $LIBDIR/PerlDaemon/PerlDaemon.pl config=./conf/perldaemon.conf keys=1 $@
+}
+
+case $ARG in
+ start)
+ shift
+ start $@
+ ;;
+
+ stop)
+ stop
+ ;;
+
+ restart)
+ shift
+ stop
+ start $@
+ ;;
+
+ logrotate)
+ logrotate
+ ;;
+
+ foreground)
+ start daemon.daemonize=no $@
+ ;;
+
+ keys)
+ keys $@
+ ;;
+
+ *)
+ echo "Usage: $0 <start|stop|restart|logrotate|foreground|keys> [key1=val1 [[key2=val2] ...]]"
+ exit 1
+ ;;
+esac